* gp20jmp.h
*
* Standalone Controller for an IDE CD-ROM Drive
* Rev 1.1 
* Jed Margolin
*
* JUMP Table for PC Development Mode

	ORG    ROMstart		; Start of user Flash Memory

* First the Jump Table for use by Application Programs
        JMP     CMD		; Get a command and go to the selected program

        JMP     GETCHAR		; Get a serial character

        JMP     SENDCHAR	; Send a serial character

        JMP     WAIT100us

        JMP     WAIT200us

        JMP     WAIT1ms

        JMP     WAIT10ms

        JMP     WAIT100ms

        JMP     WAIT250ms

        JMP     WAIT1s

        JMP     pwr_lcd                 ; power reset the lcd

        JMP     lcd_wr_data             ; Write Data byte from accumulator

        JMP     lcd_wr_instr            ; Write instruction byte from
*                                         accumulator, uses timed wait

        JMP     DISPLAY_BINARY          ; Display Binary from ACC

        JMP     DISPLAY_BCD		; Display bcd characters

        JMP     BIN_BCD_99              ; Convert binary to bcd, 99. max

        JMP     BIN_BCD_255             ; Convert binary to bcd, 255. max

	JMP	CLR_DISP		; Clear the Display line

        JMP     DOMSG                   ; Display a message (LDHX #MSG)

	JMP	GREET_MSGS		; Do the greeting message

	JMP	Display_Men_Msgs	; Display menu messages

        JMP     INIT_SWITCHES		; Initialize the switches

        JMP     DO_SWITCHES		; Read and process the switches

	JMP	Display_Switch1		; Display the switches, current state 

	JMP	UDIV			; unsigned divide

        JMP     TEST_SW_A		; test switches, Test A

        JMP     TEST_SW_B		; test switches, Test B

	JMP	FLASH_ERR		; Flash ERR on LCD

	JMP	FLASH_LCD		; Flash the LCD

* CDROM Drive functions
	JMP	Hard_Reset		; CDROM Drive hardware reset

	JMP	Start_Disc		; 

	JMP	CMD_READ_LBA		; 

	JMP	Report_2kData		; 

	JMP	Packet_Command		; 

	JMP	Get_Alt_Status		; 

	JMP	Get_Sense		; 

	JMP	Wait_For_Ready		; 

	JMP	Get_Error_Rd		; 

	JMP	READ_CD_WORD		; 

	JMP	Write_DBuffer		; 

	JMP	Write_Command		; 

	JMP	DoData1			; 

	JMP	ReadPort		; 

	JMP	WritePort		; 

	JMP	Do_Packet		; 

	JMP	Get_Dir_LBA		; 

	JMP	Send_Buffer		; 

	JMP	Get_File		; 

	JMP	File_Len		; 

	JMP	File_Comp		; 

	JMP	UpperCase		; 

	JMP	FLUSH			; Flush the buffer

	JMP	Get_Dir_Record		; 

	JMP	TEST_TOC		; 

	JMP	TEST_PLAYMSF		; 

	JMP	Play_Track		; 

	JMP	Make_TOC10		; 

	JMP	WAIT4ms

	JMP	Drive_Caps_Cmd	; 'Drive Capabilities' command

	JMP	GCDATA		; Get the data from 'Read Drive Capabilities'

	JMP	Show_RDC	; Show the data from 'Read Drive Capabilities'

	JMP	Show_Info	; Show RDC from the Drive Info_Table

	JMP	YesNo		; 'yes' or 'no' message depending on Z Flag

	JMP	Show_BSize	; Show Buffer Size

	JMP	Show_Speed	; Show the Speed data

	JMP	DISPLAY_6BCD	; Display 5 BCD variables

	JMP	Bin_6BCD	; Convert 16-bit binary to BCD

        JMP     WAITnClear	; Wait 1 second, then clear the display

	JMP	WAITnCLR2	; Wait 2 seconds, then clear the display

	JMP	WAITnCLR3	; Wait 3 seconds, then clear the display

	JMP	Do_Inquiry	; Get the Inquiry data and display it

	JMP	Show_RDC_All

	JMP	Read_SubCode

	JMP	Make_Sub_Packet

	JMP	Read_Sub_Data

	JMP	Show_Time

	JMP	Time_Header

	JMP	INIT_TIRQ	; So that we can still use the Vector 
*				  Indirection Table for development.

	JMP	SWTRANS		; Look for switch transitions for changing 
*				  the track number

	JMP	Do_STOP		; STOP Command

	JMP	Soft_Reset

	JMP	Show_Status

	JMP	Drive_Info

	JMP	Init_BPtrs

	JMP	FFORWARD

	JMP	Wait_For_DRQ

	JMP	Show_LBA

	JMP	Report_MSF
*===========================================================================
